function Auto_Analysis(DataPath,SubIDPath)
% clear;clc;


%%% Parameters Setting
% DataPath='/autofs/eris/indi/Xpeng/Study/Xpeng_Scripts/Autonomy/Results';
% SubIDs=importdata('/autofs/eris/indi/Xpeng/Release_Codes_and_Data_for_Website/Example_Data/List_Example_100.txt');

fileID = fopen(SubIDPath);
SubIDs=textscan(fileID,'%s');
SubIDs=SubIDs{1};

load('Network_Mask_7Networks_N1000_fsaverage4.mat');
Wall_Mask=zeros(size(Network_Mask));
Wall_Mask(Network_Mask==0)=1;
clear Network_Mask;

for sub_ind=1:length(SubIDs)
    sub_name=SubIDs{sub_ind}
    
    load([DataPath '/Individual_AI_Matrix/' sub_name '/AutoIndex.mat']);
    
    LH_Auto_Big(sub_ind,:)=Auto.LH;
    RH_Auto_Big(sub_ind,:)=Auto.RH;
    
    LH_Within_Big(sub_ind,:)=FC_Degree.LH_LH;
    RH_Within_Big(sub_ind,:)=FC_Degree.RH_RH;
    
    LH_Cross_Big(sub_ind,:)=FC_Degree.LH_RH;
    RH_Cross_Big(sub_ind,:)=FC_Degree.RH_LH;
    
    LH_Hub_Big(sub_ind,:)=Hub.LH;
    RH_Hub_Big(sub_ind,:)=Hub.RH;
    clear FC_Degree Auto Hub;
end

AutoMean_CECE_tmp=[mean(LH_Auto_Big,1) mean(RH_Auto_Big,1)];
AutoMean_CECE_tmp(Wall_Mask==1)=[];
AutoMean_CECE=zeros(size(Wall_Mask));
AutoMean_CECE(Wall_Mask==0)=zscore(AutoMean_CECE_tmp);
clear AutoMean_CECE_tmp;

WithinMean_CECE=[mean(LH_Within_Big,1) mean(RH_Within_Big,1)];
WithinMean_CECE(Wall_Mask==1)=0;

CrossMean_CECE=[mean(LH_Cross_Big,1) mean(RH_Cross_Big,1)];
CrossMean_CECE(Wall_Mask==1)=0;
clear CrossMean_CECE_tmp;

HubMean_CECE=[mean(LH_Hub_Big,1) mean(RH_Hub_Big,1)];
HubMean_CECE(Wall_Mask==1)=0;
clear HubMean_CECE_tmp;

mkdir([DataPath '/Autonomy_Analysis_Group_Results/']);
FileName=[DataPath '/Autonomy_Analysis_Group_Results/Auto_CECE_LeftHemisphere_FS4.mgh'];
save_mgh(AutoMean_CECE(1:length(AutoMean_CECE)/2),FileName,eye(4));
FileName=[DataPath '/Autonomy_Analysis_Group_Results/Auto_CECE_RightHemisphere_FS4.mgh'];
save_mgh(AutoMean_CECE(1+length(AutoMean_CECE)/2:length(AutoMean_CECE)),FileName,eye(4));

FileName=[DataPath '/Autonomy_Analysis_Group_Results/Within_CECE_LeftHemisphere_FS4.mgh'];
save_mgh(WithinMean_CECE(1:length(WithinMean_CECE)/2),FileName,eye(4));
FileName=[DataPath '/Autonomy_Analysis_Group_Results/Within_CECE_RightHemisphere_FS4.mgh'];
save_mgh(WithinMean_CECE(1+length(WithinMean_CECE)/2:length(WithinMean_CECE)),FileName,eye(4));

FileName=[DataPath '/Autonomy_Analysis_Group_Results/Cross_CECE_LeftHemisphere_FS4.mgh'];
save_mgh(CrossMean_CECE(1:length(CrossMean_CECE)/2),FileName,eye(4));
FileName=[DataPath '/Autonomy_Analysis_Group_Results/Cross_CECE_RightHemisphere_FS4.mgh'];
save_mgh(CrossMean_CECE(1+length(CrossMean_CECE)/2:length(CrossMean_CECE)),FileName,eye(4));

FileName=[DataPath '/Autonomy_Analysis_Group_Results/Hub_CECE_LeftHemisphere_FS4.mgh'];
save_mgh(HubMean_CECE(1:length(HubMean_CECE)/2),FileName,eye(4));
FileName=[DataPath '/Autonomy_Analysis_Group_Results/Hub_CECE_RightHemisphere_FS4.mgh'];
save_mgh(HubMean_CECE(1+length(HubMean_CECE)/2:length(HubMean_CECE)),FileName,eye(4));


