function CorrMat_Auto_CECE(sub_name, DataPath, Output)
% clear;clc;


%%% Parameters Setting
% DataPath='/autofs/eris/indi/Xpeng/Release_Codes_and_Data_for_Website/GSP_Example_Data/';
% Output='/autofs/eris/indi/Xpeng/Study/Xpeng_Scripts/Autonomy/Auto_v1.0_OrigCode/Resutls/CorrMat_for_Auto';
% mkdir(Output);
CorrThres=0.25;

% SubIDs=importdata('/autofs/eris/indi/Xpeng/Release_Codes_and_Data_for_Website/GSP_Example_Data/list_GSP100.txt');

% for sub_ind=1:length(SubIDs)
%     sub_name=SubIDs{sub_ind}
    
    mkdir([Output '/Individual_AI_Matrix/' sub_name])
    File_tmp=dir([DataPath '/' sub_name '/Surface_Data/lh.*_Preprocessed_FS4.mgh']);
    SubData_tmp=[];
    for bld_ind=1:length(File_tmp)
        vol_tmp=load_mgh([DataPath '/' sub_name '/Surface_Data/' File_tmp(bld_ind).name]);
        SubData_tmp=[SubData_tmp, vol_tmp];
        clear vol_tmp;
    end
    CE_ROI_Mean_Signal.LH=SubData_tmp';
    clear SubData_tmp;
    
    File_tmp=dir([DataPath '/' sub_name '/Surface_Data/rh.*_Preprocessed_FS4.mgh']);
    SubData_tmp=[];
    for bld_ind=1:length(File_tmp)
        vol_tmp=load_mgh([DataPath '/' sub_name '/Surface_Data/' File_tmp(bld_ind).name]);
        SubData_tmp=[SubData_tmp, vol_tmp];
        clear vol_tmp;
    end
    CE_ROI_Mean_Signal.RH=SubData_tmp';
    clear SubData_tmp;
    
    % CE-CE Correlation Matrix
    CECE_ROI_CorrMat.LH_LH=corr(CE_ROI_Mean_Signal.LH);
    CECE_ROI_CorrMat.LH_LH(isnan(CECE_ROI_CorrMat.LH_LH))=0;
    CECE_ROI_CorrMat.LH_RH=corr(CE_ROI_Mean_Signal.LH,CE_ROI_Mean_Signal.RH);
    CECE_ROI_CorrMat.LH_RH(isnan(CECE_ROI_CorrMat.LH_RH))=0;
    CECE_ROI_CorrMat.RH_LH=corr(CE_ROI_Mean_Signal.RH,CE_ROI_Mean_Signal.LH);
    CECE_ROI_CorrMat.RH_LH(isnan(CECE_ROI_CorrMat.RH_LH))=0;
    CECE_ROI_CorrMat.RH_RH=corr(CE_ROI_Mean_Signal.RH);
    CECE_ROI_CorrMat.RH_RH(isnan(CECE_ROI_CorrMat.RH_RH))=0;
    FileName=[Output '/Individual_AI_Matrix/' sub_name '/CECE_ROI_CorrMat.mat'];
    save(FileName, 'CECE_ROI_CorrMat');
    clear CE_ROI_Mean_Signal;
    
    LseedNum=size(CECE_ROI_CorrMat.LH_LH,1);
    RseedNum=size(CECE_ROI_CorrMat.RH_RH,1);
    
    CECE_ROI_CorrMat.LH_LH(CECE_ROI_CorrMat.LH_LH<CorrThres)=0;
    CECE_ROI_CorrMat.LH_LH(CECE_ROI_CorrMat.LH_LH>=CorrThres)=1;
    FC_Degree.LH_LH=sum(CECE_ROI_CorrMat.LH_LH,2);
    
    CECE_ROI_CorrMat.LH_RH(CECE_ROI_CorrMat.LH_RH<CorrThres)=0;
    CECE_ROI_CorrMat.LH_RH(CECE_ROI_CorrMat.LH_RH>=CorrThres)=1;
    FC_Degree.LH_RH=sum(CECE_ROI_CorrMat.LH_RH,2);
    
    CECE_ROI_CorrMat.RH_LH(CECE_ROI_CorrMat.RH_LH<CorrThres)=0;
    CECE_ROI_CorrMat.RH_LH(CECE_ROI_CorrMat.RH_LH>=CorrThres)=1;
    FC_Degree.RH_LH=sum(CECE_ROI_CorrMat.RH_LH,2);
    
    CECE_ROI_CorrMat.RH_RH(CECE_ROI_CorrMat.RH_RH<CorrThres)=0;
    CECE_ROI_CorrMat.RH_RH(CECE_ROI_CorrMat.RH_RH>=CorrThres)=1;
    FC_Degree.RH_RH=sum(CECE_ROI_CorrMat.RH_RH,2);
    clear CECE_ROI_CorrMat;
    
    Auto.LH=FC_Degree.LH_LH/LseedNum-FC_Degree.LH_RH/RseedNum;
    Auto.RH=FC_Degree.RH_RH/RseedNum-FC_Degree.RH_LH/LseedNum;
    Hub.LH=FC_Degree.LH_LH+FC_Degree.LH_RH;
    Hub.RH=FC_Degree.RH_RH+FC_Degree.RH_LH;
    
    FileName=[Output '/Individual_AI_Matrix/' sub_name '/AutoIndex.mat'];
    save(FileName,'FC_Degree','Auto','Hub');
    clear FC_Degree Auto Hub;
% end
